=== debian/changelog ===
firebird3.0 (3.0.2.32703.ds4-11ubuntu2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:52:32 +0000

firebird3.0 (3.0.2.32703.ds4-11ubuntu1) bionic; urgency=medium

  * Define UCHAR_TYPE=uint16_t to avoid C++11 and fix FTBFS with icu59.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Oct 2017 12:39:22 -0600

firebird3.0 (3.0.2.32703.ds4-11) unstable; urgency=medium

  * Upload to unstable
    Closes: #874517 -- configure.ac not supporting cross-build

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Sep 2017 14:05:35 +0000

firebird3.0 (3.0.2.32703.ds4-10) experimental; urgency=low

  * Add patch from Helmut Grohne fixing cross-build support in configure.ac.
    See #874517
  * rules: s/BUILD/HOST/ in the OS check for --enable-raw-devices.
    Thanks to Helmut Grohne, see #874517
  * drop parallel-build.patch
    not needed with FB3
    using lockfile prevents cross-building. See #874517
    also drop procmail build-dependency as no longer needed
  * refresh remaining patches
  * Upload to experimental

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Sep 2017 09:49:05 +0000

firebird3.0 (3.0.2.32703.ds4-9) unstable; urgency=medium

  * update years of copyright for debian/*
  * Do not ship employee.fbk in -examples, making the build deterministic.
    Ship a SQL script that creates employee.fdb instead.
    Closes: #867200 -- src:firebird3.0: Does not buildreproducibly (third
    take)
  * remove sample database from databases.conf
  * stop fiddling with employee.fdb attempting to make its creation
    deterministic.

 -- Damyan Ivanov <dmn@debian.org>  Tue, 01 Aug 2017 14:34:42 +0000

firebird3.0 (3.0.2.32703.ds4-8) unstable; urgency=medium

  * Use "frozen time" when calling faketime in order to produce deterministic
    employee.fbk (Closes: #867200 -- src:firebird3.0: Does not build
    reproducibly, broken in -6)
  * extend a bit the shorter long descriptions

 -- Damyan Ivanov <dmn@debian.org>  Mon, 31 Jul 2017 10:45:07 +0000

firebird3.0 (3.0.2.32703.ds4-7) unstable; urgency=medium

  * Add synthetic dependency on libicu to -server-core.
    This is needed because firebird loads libicu via dlopen()
    Missing dependency found by piuparts, see
    https://piuparts.debian.org/sid/fail/firebird3.0-server_3.0.2.32703.ds4-5.log

 -- Damyan Ivanov <dmn@debian.org>  Sun, 30 Jul 2017 06:12:57 +0000

firebird3.0 (3.0.2.32703.ds4-6) unstable; urgency=medium

  * Revert "Stop shipping employee.fdb in firebird3.0-examples"
  * Revert "stop trying to supply deterministic security3.fdb and employee.fdb
    in the package"
  * Ship employee sample database as a Firebird database backup (.fbk)
    Firebird backup files seem to be more deterministic compared to the raw
    database (provided you use faketime -- the backup contains timestamp
    of creation). See #867200

 -- Damyan Ivanov <dmn@debian.org>  Sat, 29 Jul 2017 17:17:41 +0000

firebird3.0 (3.0.2.32703.ds4-5) unstable; urgency=medium

  * update d/copyright to match new upstream release
  * Rework long descriptions to be more focused.
    Closes: #854433 -- irebird3.0-server-core: Please document that this is
    the package needed to use the embedded mode
  * Add Enhances: linfbclient2 and Recommends: firebird3.0-utils to -server-core
  * Add Recommends: firebird3.0-server-core and Suggests: firebird3.0-server
    to -utils
  * rules: print config.log when configure fails
  * Stop shipping employee.fdb in firebird3.0-examples.
    This was an unavoidable source for non-determinism
    Update README.Debian accordingly
  * Stop shipping security3.fdb in firebird3.0-server.
    Instead, create it during postinst
    This was the last source of non-determinism. Closes: #867200

 -- Damyan Ivanov <dmn@debian.org>  Wed, 26 Jul 2017 20:22:45 +0000

firebird3.0 (3.0.2.32703.ds4-4) unstable; urgency=medium

  * drop libib-util.triggers. dh_shlibdeps now handles the ldconfig trigger
  * add support for the nodoc parameter of DEB_BUILD_OPTIONS
  * rules: replace dpkg-parsechangelog invocation with SOURCE_DATE_EPOCH from
    dpkg's pkg-info.mk. Thanks, lintian
  * Declare conformance with Policy 4.0.0

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 Jun 2017 11:53:57 +0000

firebird3.0 (3.0.2.32703.ds4-3) unstable; urgency=medium

  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Mon, 19 Jun 2017 11:59:28 +0000

firebird3.0 (3.0.2.32703.ds4-2) experimental; urgency=medium

  * fix short variant of the -full validation mode in gfix(1)
  * README.Debian: suggest a clean way for using unicode collations from old
    ICU versions
  * install README.Debian in -common-doc

 -- Damyan Ivanov <dmn@debian.org>  Mon, 12 Jun 2017 07:56:38 +0000

firebird3.0 (3.0.2.32703.ds4-1) experimental; urgency=medium

  * New upstream release
    + Drop 4 patches released upstream and fix offsets in 2 patches to apply
      cleanly
  * move password question reset from .config to .postinst
    Closes: #859236
  * patch fbguard/fbserver so that fbguard parent process exits to the OS only
    after fbserver is ready to serve requests
    Closes: #859234

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Apr 2017 19:29:46 +0000
