=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=3
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g" \
  http://sf.net/firebird/[Ff]irebird-(3\.0\..*).tar.bz2 \
  debian sh debian/repack.sh
