=== debian/changelog ===
firebird3.0 (3.0.5.33100.ds4-2) unstable; urgency=medium

  * rules: fail if unable to determine ICU version.
  * rules: deremine ICU version via pkg-config
    Closes: #921683, thanks to Matthias Klose

 -- Damyan Ivanov <dmn@debian.org>  Fri, 08 Feb 2019 07:59:55 +0000

firebird3.0 (3.0.5.33100.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch

 -- Damyan Ivanov <dmn@debian.org>  Thu, 07 Feb 2019 12:34:25 +0000

firebird3.0 (3.0.5.33086.ds4-2) unstable; urgency=medium

  * fix typo in xinetd configuration (Closes: #919422)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 15 Jan 2019 21:31:57 +0000

firebird3.0 (3.0.5.33086.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * Declare conformance with Policy 4.3.0 (no chanes needed)
  * replace usage of dpkg-maintscript-helper with a .maintscript file

 -- Damyan Ivanov <dmn@debian.org>  Fri, 11 Jan 2019 14:17:53 +0000

firebird3.0 (3.0.5.33083.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * add Build-Depends-Package field to *.symbols files; thanks, lintian

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Dec 2018 09:51:45 +0000

firebird3.0 (3.0.5.33077.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch

 -- Damyan Ivanov <dmn@debian.org>  Wed, 07 Nov 2018 11:51:58 +0000

firebird3.0 (3.0.4.33066.ds4-1) unstable; urgency=medium

  * functions.sh/firebird_config_postinst: route service start via
    invoke-rc.d.
    Thanks to Andreas Beckmann (Closes: #910989)
  * New upstream snapsot from the B3_0_Release branch
  * drop .gitignore files from d/copyright (excluded from repackaged sources)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 14 Oct 2018 18:33:32 +0000

firebird3.0 (3.0.4.33055.ds4-2) unstable; urgency=medium

  * Porting efforts:
    + c++-std.patch: apply also to prefix.freebsd{,-amd64}
    + patch prefix.freebsd* to match prefix.linux
      the -msse4 option is of particular interest
    + deb/march-i486.patch: extend to cover prefix.freebsd
    + add patch teaching SockAddr.h about kfreebsd's AF_INET6
    Thanks to James Clarke
    + patch fallback definition of MAXPATHLEN outside of WinNT conditional
      helps the hurd build move a bit further
  * also remove .gitignore files when repacking upstream sources
  * init: remove left over setting of the FIREBIRD environment variable.
    Not needed, and actually harmful, since it points to a non-existing path
    Thanks to Jan Korbel, Closes: #901959

 -- Damyan Ivanov <dmn@debian.org>  Sun, 07 Oct 2018 07:15:01 +0000

firebird3.0 (3.0.4.33055.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * add basic autopkgtest
    for now tests database creation, backup, restore and validation

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Oct 2018 08:50:33 +0000

firebird3.0 (3.0.4.33054.ds4-2) unstable; urgency=medium

  * ad patch from John David Anglin fixing build problem on HPPA
    (Closes: #858868)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 25 Sep 2018 05:35:45 +0000

firebird3.0 (3.0.4.33054.ds4-1) unstable; urgency=medium

  * pack-upstream-snapshot: adapt to git, drop date from upstream version
    upstream version already includes a build number, which is
    increasing and unique
  * remove another HTML file without source when repackaging
  * New upstream snapshot from the B3_0_Release branch
  * update debian/copyright
  * drop out/nbackup-decompress-level1.patch (fixed upstream)
  * adapt/refresh remaining patches
  * move source.lintian-overrides to source/lintian-overrides
  * add debian/upstream/metadata file
  * repack.sh: remove empty directories
  * honour-buildflags.patch: stop overriding CXXFLAGS from the environment
  * bump debhelper compatibility level to 11
  * add Rules-Requires-Root: no
  * declare conformance with Policy 4.2.1

 -- Damyan Ivanov <dmn@debian.org>  Mon, 24 Sep 2018 09:40:59 +0000

firebird3.0 (3.0.3.32900.ds4-4) unstable; urgency=medium

  * add patch from upstream master branch adding support for building on
    Linux/RiscV64
  * add missing builds/posix/prefix.linux_riscV64 completing RiscV64 support.
    Thanks to Manuel A. Fernandez Montecelo (Closes: #895257)
  * refresh line offsets of two patches

 -- Damyan Ivanov <dmn@debian.org>  Wed, 20 Jun 2018 13:06:25 +0000

firebird3.0 (3.0.3.32900.ds4-3) unstable; urgency=medium

  * disable UDFs in firebird.conf due to a remote authenticated code execution
    vilnerability
    https://www.tenable.com/security/research/tra-2017-36 (CVE-2017-11509)
    http://tracker.firebirdsql.org/browse/CORE-5518
  * bump Standards-Version to 4.1.4 (no changes needed)
  * fix typo in fbserver-startup.patch; thanks, lintian
  * drop get-orig-source target from debian/rules; was an alias for uscan
  * copyright: fix a lintian warning about double license definition
  * move databases.conf and fbtrace.conf symlinks from -server-core to -server
    the real files are in -server already. Closes: #873913

 -- Damyan Ivanov <dmn@debian.org>  Fri, 20 Apr 2018 13:42:14 +0000

firebird3.0 (3.0.3.32900.ds4-2) unstable; urgency=medium

  * add c++-std.patch, adding --std=gnu++03 to several build prefix files
    Closes: #889627

 -- Damyan Ivanov <dmn@debian.org>  Mon, 05 Feb 2018 15:50:05 +0000

firebird3.0 (3.0.3.32900.ds4-1) unstable; urgency=medium

  * move myself from Uploaders to Maintainer
  * point Vcs-* to salsa.debian.org
  * drop no-binary-metadata.patch
  * convert debian/copyright to copyright-format/1.0
  * convert d/watch to version 4, with source URL from upstream site (not
    sf.net) and automatic repackaging
  * exclude all *.pdf under doc/ when repackaging
  * New upstream version 3.0.3.32900.ds4
  * update copyright
  * drop dupl-unique-constraint.patch (applied upstream)
  * adapt patches to apply to the new release
  * refresh patches to apply cleanly
  * rules: drop -std and -fno-delete-null-pointer-checks from

