=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
 Source: firebird3.0
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Firebird Group <pkg-firebird-general@lists.alioth.debian.org>
-Uploaders: Damyan Ivanov <dmn@debian.org>
-Build-Depends: 
+Maintainer: Damyan Ivanov <dmn@debian.org>
+Build-Depends:
  autoconf,
  automake,
- bison,
- debhelper (>= 9.20151219~),
- debhelper (>= 9.20160709~) | dh-systemd,
- faketime,
+ debhelper-compat (= 11),
  gawk,
- libatomic-ops-dev (>= 1.2+cvs20091005),
  libboost-dev,
  libedit-dev,
  libicu-dev,
  libtommath-dev,
  libtool,
+ pkg-config,
  po-debconf,
  rename,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/pkg-firebird/3.0.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-firebird/3.0.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
+Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
 Homepage: http://firebirdsql.org/
+Rules-Requires-Root: no
 
 Package: firebird3.0-server-core
 Architecture: any
@@ -53,6 +49,7 @@
 Conflicts: firebird-server,
  firebird2.5-server-common,
  firebird2.1-super, firebird2.1-classic, firebird2.1-server-common,
+Replaces: firebird3.0-server-core (<< 3.0.3.32900.ds4-3~)
 Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
  firebird3.0-server-core (= ${binary:Version}),
  firebird3.0-utils (= ${binary:Version}),
@@ -69,12 +66,11 @@
  under a variety of names since 1981.
  .
  This package contains the server binary as well as its configuration files.
- The default mode of operation is the so called "superclassic", which is a
- multi-threaded server -- each connection starts a separate thread and each
- connection has its own page cache. The two other operation modes -- "classic"
- (separate process/cache for each connection; started from the internet
- super-server inetd or xinetd) and "super" (single-threaded server process with
- shared cache between connections) are also available via configuration options.
+ The default mode of operation is the so called "super", which is a
+ single-threaded server process with shared database cache between
+ connections. The two other operation modes -- "classic" (separate
+ process/cache for each connection) and "superclassic" (separate thread/cache
+ for each connection) are also available via configuration options.
 
 Package: firebird3.0-utils
 Architecture: any
@@ -84,7 +80,7 @@
  firebird2.1-super, firebird2.1-classic, firebird2.1-common,
  firebird2.5-super, firebird2.5-classic-common
 Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
- ${misc:Depends}, 
+ ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Recommends:
  firebird3.0-server-core,
@@ -109,7 +105,8 @@
  ${misc:Depends},
  firebird3.0-common-doc (= ${source:Version})
 Description: Firebird client library
- Client library for connecting to the Firebird server/embedded engine.
+ Client library for connecting to the Firebird server. It can also be used for
+ direct (embedded) database access.
  .
  See firebird3.0-server package for more information about Firebird.
