=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
@@ -65,7 +65,7 @@
 RUN := /run/firebird${FB_VER}
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
-export DEB_CXXFLAGS_MAINT_APPEND := -std=gnu++98 -DUCHAR_TYPE=uint16_t -fno-lifetime-dse -fno-delete-null-pointer-checks -fno-strict-aliasing
+export DEB_CXXFLAGS_MAINT_APPEND := -DUCHAR_TYPE=uint16_t -fno-lifetime-dse -fno-strict-aliasing
 export DEB_CFLAGS_MAINT_APPEND := -fno-strict-aliasing
 
 DPKG_EXPORT_BUILDFLAGS := 1
@@ -74,6 +74,7 @@
 confflags += --disable-rpath --with-gpre-cobol \
 	     --with-system-editline --prefix=${ULFB} --with-fbsbin=/usr/sbin \
 	     --with-bin=/usr/bin \
+	     --with-fblib=/usr/lib/${DEB_HOST_MULTIARCH} \
 	     --with-fbconf=${ULFB} --with-fbdoc=${DOC} \
 	     --with-fbudf=${ULFB}/UDF --with-fbsample=${DOC}/examples \
 	     --with-fbsample-db=${DOC}/examples/empbuild \
@@ -158,6 +159,12 @@
 
 	echo "Built image contents"
 	cd $(FB_IMG) && ls -lR
+
+	sed -i -e's,-I$$fb_incdir,,'  $(FB_IMG)/bin/fb_config
+	sed -i -e's,-L$$fb_libdir ,,' $(FB_IMG)/bin/fb_config
+
+	sh $(FB_IMG)/bin/fb_config --cflags
+	sh $(FB_IMG)/bin/fb_config --libs
 
 	touch $@
 
@@ -233,7 +240,10 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-ICU_VER := $(shell icu-config --icudata|sed 's/[^0-9]*\([0-9]\+\).*/\1/')
+ICU_VER := $(shell pkg-config icu-i18n --modversion|sed 's/[^0-9]*\([0-9]\+\).*/\1/')
+ifeq ($(ICU_VER),)
+    $(error Unable to determine ICU version)
+endif
 
 .PHONY: binary-arch
 # Build architecture-dependent files here.
@@ -244,13 +254,13 @@
 	dh_installexamples -a
 	dh_installmenu -a
 	dh_installinit -pfirebird$(FB_VER)-server --name=firebird$(FB_VER)
-	dh_systemd_enable -pfirebird$(FB_VER)-server --name=firebird$(FB_VER)
+	dh_installsystemd -pfirebird$(FB_VER)-server --name=firebird$(FB_VER)
 	dh_installcron -a
 	dh_installman -a
 	dh_installinfo -a
 	dh_installlogrotate -a --name firebird$(FB_VER)
 	dh_lintian -a
-	dh_strip -a --ddeb-migration="firebird$(FB_VER)-dbg (<< 3.0.0.32383+20160312.ds4-1~)"
+	dh_strip -a
 	dh_link -a -A
 	dh_compress -a
 	dh_fixperms -a
@@ -269,7 +279,3 @@
 
 .PHONY: binary
 binary: binary-indep binary-arch
-
-.PHONY: get-orig-source
-get-orig-source:
-	uscan
