=== debian/tests/control ===
Tests: assorted-tools
Depends: firebird3.0-server-core, firebird3.0-utils, firebird3.0-examples
